VisualEditor: The special character inserter tool should use the full width of the toolbar, rather than a narrow floating box
Closed, ResolvedPublic

Description

The floating palette for the special character tool is annoyingly out of reach if your cursor is at the bottom of your screen. You have to scroll down (sometimes a lot) to reach the character that you want. It's also narrow, which limits the number of characters that can be seen at once.

It should be replaced with a fixed, full-width tool that is attached to the main toolbar. This allows more characters to be displayed at once and is always visible, no matter where you are typing.

This might also be convenient way to address the problems in bug 60657.


Version: unspecified
Severity: enhancement

bzimport added a project: VisualEditor.Via ConduitNov 22 2014, 3:06 AM
bzimport set Reference to bz60770.
Whatamidoing-WMF created this task.Via LegacyFeb 3 2014, 5:24 PM
Krenair added a subscriber: Krenair.Via WebJan 22 2015, 12:53 AM

Is this still valid? What about T78038?

Aklapper added a subscriber: Aklapper.Via WebMar 4 2015, 10:36 PM

The floating palette for the special character tool is annoyingly out of reach if your cursor is at the bottom of your screen. You have to scroll down (sometimes a lot) to reach the character that you want.

@Whatamidoing-WMF: Is this still valid?
Being at the very bottom in Firefox 36 with my cursor, trying to insert a special character the view scrolls automatically down. See screenshot:

Krinkle removed a subscriber: Krinkle.Via WebMar 4 2015, 10:46 PM
Aklapper closed this task as "Resolved".Via WebMar 5 2015, 9:26 AM
Aklapper claimed this task.

Fixed by the "Special Characters" insertion redesign (can be tested already on http://en.wikipedia.beta.wmflabs.org )

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.